<script lang="ts">
    import { order, summarize } from '../settings'
    import Radio from '../../../ui/Radio.svelte'
    import Checkbox from '../../../ui/Checkbox.svelte'
</script>

<div class="py-2">
    <Checkbox bind:checked={$summarize}>Summarize per category</Checkbox>
</div>

<div class="py-2" class:text-grijs-4={$summarize}>
    <span>Order by </span>
    <Radio bind:group={$order} value="clusters" disabled={$summarize}>Clusters</Radio>
    <Radio bind:group={$order} value="labels" disabled={$summarize}>Labels</Radio>
</div>

<style>
</style>